import ajax from '../util'

/**
 * 获得指定节点(实体,实体类)的tags列表
 * @param vertexId
 * @id:id
 */

function getTagList(vertexId, isModel) {
  return ajax({
    method: 'get',
    url: '/tag/{vertexId}/taglist',
    path: {
      vertexId
    },
    data: {
      isModel
    }
  })
}

/**
 * 添加tag
 * @param vertexId
 * @param tagName
 * @id:id
 */

function addTag(vertexId, tagName, isModel) {
  return ajax({
    method: 'post',
    url: '/tag/add',
    data: {
      vertexId,
      tagName,
      isModel
    }
  })
}

/**
 * 删除tag
 * @param vertexId
 * @param tagName
 * @id:id
 */

function deleteTag(vertexId, tagName, isModel) {
  return ajax({
    method: 'post',
    url: '/tag/del',
    data: {
      vertexId,
      tagName,
      isModel
    }
  })
}

export {
  getTagList,
  addTag,
  deleteTag
}
